<div class="fieldset-legend">
    <div class="container">
    
        <div class="row margin-row" >
            <div class="col-md-12">
                <div class="btn-filter-wrapper pull-left" style="margin-bottom: 25px;">
                    <button pButton type="button" *ngIf="!preview"
                        (click)="back()"
                        label="Back" 
                        icon="fa-angle-left"
                        class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton type="button" *ngIf="preview" 
                        (click)="seePreview()"
                        label="Close Preview" 
                        icon="fa-times"
                        class="ui-button-primary flat-label-button">
                    </button>
                </div>
            </div>
        </div>

        <div class="card-deck" style="margin-bottom: 15px;" *ngIf="!preview">
            <div class="card">
                <div class="card-block">
                    <div class="row ui-g">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Nomor Stock Opname</label>
                                <input type="text" class="form-control" [(ngModel)]="assignData.stockOpnameNumber" [disabled]="true" readonly>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Tanggal Stock Opname</label>
                                <input type="text" class="form-control" [(ngModel)]="assignData.dtCreated" [disabled]="true" readonly>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Nama Gudang</label>
                                <input type="text" class="form-control" [(ngModel)]="assignData.facilityName" [disabled]="true" readonly>
                            </div>
                        </div>
                        <hr>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" for="inputNoka" required>Nomor Rangka / Nomor Mesin</label>
                                <input #inputNoka type="text" class="form-control" [(ngModel)]="TextIdFrameMachine">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="btn-filter-wrapper">
                                    <button 
                                        type="button" 
                                        class="btn btn-primary btn-filter btn-block" 
                                        (click)="AddItem()"
                                        [disabled]="!isOpen"
                                        ><span>Enter</span>
                                    </button>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter btn-block" (click)="scan()">
                                        <i class="fa fa-camera" aria-hidden="true"></i> <span>Barcode Scan</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card-deck" style="margin-bottom: 15px;" *ngIf="!preview">
            <div class="card">
                <div class="card-block">
                    <div class="row ui-g">
                        <div class="col-md-12">
                            <h1>Data Diperiksa</h1>
                        </div>
                        <div class="col-md-12">
                                Total unit yang sudah diperiksa : {{totalData}} unit
                        </div>
                        <div class="col-md-6" style="margin-bottom: 10px;">
                            <button 
                            class="btn btn-primary btn-filter btn-block"
                            type="button"
                            (click)="save()"> 
                                Save
                            </button>
                        </div>
                        <div class="col-md-6" style="margin-bottom: 10px;">
                            <button 
                            class="btn btn-primary btn-filter btn-block"
                            type="button" 
                            (click)="seePreview()">
                                Preview
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div style="margin-top: 10px;" *ngIf="preview">
            <p-dataList 
                [value]="unitDataSave" 
                [paginator]="true" 
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="queryCountSave"
                [responsive]="true"
                [lazy]="true"
                dataKey="IdItem"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
            >
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div style="text-align: left;">
                        
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <div class="ui-g ui-fluid border-item">
                        <div class="ui-g-12">
                            <div class="ui-g">
                                <div class="ui-g-8"><h2>{{rowData.IdProduct}}</h2></div>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <div class="ui-g">
                                <div class="ui-g-12"><h6>Nomor Rangka: {{rowData.IdFrame}}</h6></div>
                                <div class="ui-g-12"><h6>Nomor Mesin : {{rowData.IdMachine}}</h6></div>
                            </div>
                        </div>
                        <div class="ui-g-5">
                            <div class="ui-g">
                                <div class="ui-g-12"><h6>Tahun : {{rowData.Year}}</h6></div>       
                                <div class="ui-g-12"><h6>Warna : {{rowData.Color}}</h6></div>
                            </div>
                        </div>
                        <div class="ui-g-1" style="text-align:right">
                            <div class="ui-g">
                                <button pButton 
                                        class="flat-button btn-block" 
                                        (click)="delete(rowData.IdItem)"
                                        [disabled]="!isOpen"
                                        icon="fa-remove"
                                        style="font-size:28px;"
                                ></button>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </p-dataList>
        </div>

        <div style="margin-top: 10px;" *ngIf="!preview">
            <p-dataList 
                [value]="unitDataNotSave" 
                [paginator]="true" 
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="queryCountNotSave"
                [responsive]="true"
                [lazy]="true"
                dataKey="IdItem"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
            >
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div style="text-align: left;">
                        
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <div class="ui-g ui-fluid border-item">
                        <div class="ui-g-12">
                            <div class="ui-g">
                                <div class="ui-g-8"><h2>{{rowData.IdProduct}}</h2></div>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <div class="ui-g">
                                <div class="ui-g-12"><h6>Nomor Rangka: {{rowData.IdFrame}}</h6></div>
                                <div class="ui-g-12"><h6>Nomor Mesin : {{rowData.IdMachine}}</h6></div>
                            </div>
                        </div>
                        <div class="ui-g-5">
                            <div class="ui-g">
                                <div class="ui-g-12"><h6>Tahun : {{rowData.Year}}</h6></div>       
                                <div class="ui-g-12"><h6>Warna : {{rowData.Color}}</h6></div>
                            </div>
                        </div>
                        <div class="ui-g-1" style="text-align:right">
                            <div class="ui-g">
                                <button pButton 
                                        class="flat-button btn-block" 
                                        (click)="delete(rowData.IdItem)"
                                        [disabled]="!isOpen"
                                        icon="fa-remove"
                                        style="font-size:28px;"
                                ></button>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </p-dataList>
        </div>

        <div class="row ui-g" style="margin-top: 10px;" *ngIf="preview">
            <div class="col-md-12">
                <button 
                class="btn btn-primary btn-filter btn-block"
                type="button" 
                [disabled]="!isSave"
                (click)="complete()"> 
                    Complete
                </button>
            </div>
        </div>
    </div>
</div>
<p-confirmDialog></p-confirmDialog>